<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <requires lib="gtk" version="4.0"/>
  <object class="GtkListStore" id="languages_store">
    <columns>
      <!-- column-name name -->
      <column type="gchararray"/>
    </columns>
    <data>
      <row>
        <col id="0" translatable="yes">All Languages</col>
      </row>
    </data>
  </object>
  <template class="FiltersWidget">
    <child>
      <object class="GtkBox" id="child">
        <property name="orientation">vertical</property>
        <child>
          <object class="GtkBox">
            <property name="margin_start">12</property>
            <property name="margin_end">12</property>
            <property name="margin_top">12</property>
            <property name="margin_bottom">12</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkLabel">
                <property name="halign">start</property>
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="label" translatable="yes">Category</property>
                <style>
                  <class name="h5"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkGrid">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="row_spacing">6</property>
                <property name="column_spacing">6</property>
                <property name="row_homogeneous">True</property>
                <property name="column_homogeneous">True</property>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Sans Serif</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">0</property>
                      <property name="row">0</property>
                    </layout>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Serif</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">1</property>
                      <property name="row">0</property>
                    </layout>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Mono</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">1</property>
                      <property name="row">1</property>
                    </layout>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Display</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">0</property>
                      <property name="row">2</property>
                    </layout>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Slab Serif</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">0</property>
                      <property name="row">1</property>
                    </layout>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">Script</property>
                    <style>
                      <class name="filter-category-label"/>
                    </style>
                    <layout>
                      <property name="column">1</property>
                      <property name="row">2</property>
                    </layout>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkSeparator"/>
        </child>
        <child>
          <object class="GtkBox">
            <property name="margin_start">12</property>
            <property name="margin_end">12</property>
            <property name="margin_top">12</property>
            <property name="margin_bottom">12</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkLabel">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="halign">start</property>
                <property name="label" translatable="yes">Weight</property>
                <style>
                  <class name="h5"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkBox">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="homogeneous">True</property>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">A</property>
                    <style>
                      <class name="weight-filter-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">A</property>
                    <style>
                      <class name="weight-filter-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">A</property>
                    <style>
                      <class name="weight-filter-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">A</property>
                    <style>
                      <class name="weight-filter-label"/>
                    </style>
                  </object>
                </child>
                <child>
                  <object class="GtkLabel">
                    <property name="label" translatable="yes">A</property>
                    <style>
                      <class name="weight-filter-label"/>
                    </style>
                  </object>
                </child>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkSeparator"/>
        </child>
        <child>
          <object class="GtkBox">
            <property name="margin_start">12</property>
            <property name="margin_end">12</property>
            <property name="margin_top">12</property>
            <property name="margin_bottom">12</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkLabel">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="halign">start</property>
                <property name="label" translatable="yes">Number of Styles</property>
                <style>
                  <class name="h5"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkBox">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <child>
                  <object class="GtkToggleButton">
                    <property name="label" translatable="yes">Any</property>
                  </object>
                </child>
                <child>
                  <object class="GtkToggleButton">
                    <property name="label" translatable="yes">4+</property>
                  </object>
                </child>
                <child>
                  <object class="GtkToggleButton">
                    <property name="label" translatable="yes">8+</property>
                  </object>
                </child>
                <child>
                  <object class="GtkToggleButton">
                    <property name="label" translatable="yes">12+</property>
                  </object>
                </child>
                <style>
                  <class name="linked"/>
                </style>
              </object>
            </child>
          </object>
        </child>
        <child>
          <object class="GtkSeparator"/>
        </child>
        <child>
          <object class="GtkBox">
            <property name="margin_start">12</property>
            <property name="margin_end">12</property>
            <property name="margin_top">12</property>
            <property name="margin_bottom">12</property>
            <property name="orientation">vertical</property>
            <child>
              <object class="GtkLabel">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="halign">start</property>
                <property name="label" translatable="yes">Languages</property>
                <style>
                  <class name="h5"/>
                </style>
              </object>
            </child>
            <child>
              <object class="GtkComboBox">
                <property name="margin_start">6</property>
                <property name="margin_end">6</property>
                <property name="margin_top">6</property>
                <property name="margin_bottom">6</property>
                <property name="model">languages_store</property>
                <property name="active">1</property>
              </object>
            </child>
          </object>
        </child>
      </object>
    </child>
  </template>
</interface>
